/* USER CODE BEGIN Header */
/**
  ******************************************************************************
  * File Name          : freertos.c
  * Description        : Code for freertos applications
  ******************************************************************************
  * @attention
  *
  * Copyright (c) 2023 STMicroelectronics.
  * All rights reserved.
  *
  * This software is licensed under terms that can be found in the LICENSE file
  * in the root directory of this software component.
  * If no LICENSE file comes with this software, it is provided AS-IS.
  *
  ******************************************************************************
  */
/* USER CODE END Header */

/* Includes ------------------------------------------------------------------*/
#include "FreeRTOS.h"
#include "task.h"
#include "main.h"

/* USER CODE BEGIN */
#include "ensi_uart.h"


/**
* @brief Creation of software system architecture
*/
void app_init(void);

/**
* @brief Task 1 for test. Rename task with useful name for a real application
*/
static void task1(void *pvParameters);

/**
* @brief Task 2 for test. Rename task with useful name for a real application
*/
static void task2(void *pvParameters);

/**
* @brief Task 3 for test. Rename task with useful name for a real application
*/
static void task3(void *pvParameters);


void app_init(void) {
    /* application tasks creation */

}



static void task1(void *pvParameters) {
    // Task init

	// Task infinite loop
	while(1) {
	}
}


static void task2(void *pvParameters) {
    // Task init

	// Task infinite loop
	while(1) {
	}
}


static void task3(void *pvParameters) {
    // Task init

	// Task infinite loop
	while(1) {
	}
}


/* USER CODE END */

